#
# spec file for package randrproto
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           randrproto
Version:        1.5.0
Release:        lp150.1.7
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Resize and Rotate extension
License:        HPND
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/randrproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/randrproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The RandR protocol headers for X11 development.
This extension defines a protocol for clients to dynamically change X
screens, so as to resize, rotate and reflect the root window of a
screen.

%package devel
Summary:        The X11 Protocol: X Resize and Rotate extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/randrproto.pc

%description devel
The RandR protocol headers for X11 development.
This extension defines a protocol for clients to dynamically change X
screens, so as to resize, rotate and reflect the root window of a
screen.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Sun May 17 2015 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.5.0:
  XRandR 1.5 adds monitor objects and tiling support.
* Mon Mar 16 2015 sndirsch@suse.com
- Update to version 1.4.1
  * This release adds an optional "GUID" property for outputs, and
    corrects various errors in the previous version of the spec.
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Tue Apr 29 2014 cfarrell@suse.com
- license update: HPND
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package randrproto with initial version 1.4.0
